Skip to main content
`Ctrl`+`K`

# DSStateType

Indicates in which state the direct solver is.

## Synopsis

    typedef enum { DS_STATE_RAW,
                   DS_STATE_INTERMEDIATE,
                   DS_STATE_CONDENSED,
                   DS_STATE_TRUNCATED } DSStateType;

## Values

- `DS_STATE_RAW` - initial state, the matrices have not been modified yet

- `DS_STATE_INTERMEDIATE` - matrices have been reduced to intermediate form

- `DS_STATE_CONDENSED` - problem solved, matrices in condensed form

- `DS_STATE_TRUNCATED` - problem solved and in addition the dimension has been truncated

## See Also

DS: Direct Solver (or Dense System), `DSSetState()`

## Level

advanced

## Location

include/slepcds.h

Index of all DS routines Table of Contents for all manual pages Index of all manual pages